[PD] fluid~.pd_darwin ...needs fluidsynth framework

Frank Barknecht fbar at footils.org
Mon May 1 11:42:48 CEST 2006

Rich E hat gesagt: // Rich E wrote:

> Hello, sorry if this is a worn out topic.  I know Frank doesn't use macs,
> and I don't much either, but I need to get this external running on one for
> an upcoming class assignment/performance.  Basically, flext and fluidsynth
> are compiled on OSX 10.3.9, and the fluid~.pd_darwin building starts, but it
> cannot locate the frameowrk Fluidsynth.  I cannot find any reference to this
> framework, and all that I can find installed from the build is a binary
> fluidsynth and a libfluidsynth.a in /usr/local/lib.  Can anyone who has
> gotten this to build explain what I must do?

I really don't know Macs, so this may be totally offf, but I think
there may be an issue with fluidsynth on Mac not building a framework
or something like that. I think, in this case you may also be able to
use the "-l" linker option instead of "-framework". You can edit the
file: "build/gnumake-mac-gcc.inc" in the fluid directory to try to use
the library by replacing this: 

LIBS += -framework Fluidsynth

with this: 

LIBS += -lfluidsynth

the try to compile again with 
$ cd fluid
$ /PATH/TO/flext/build.sh pd gcc build

If this works, then please tell me and I will change the file in the
CVS accordingly. 

 Frank Barknecht                 _ ______footils.org_ __goto10.org__

More information about the Pd-list mailing list